Table of Contents

Class: ShortcutDialog | eric3/Preferences/ShortcutDialog.py
--- | ---

### Class implementing a dialog for the configuration of a keyboard shortcut.

#### Signals

shortcutChanged
  emitted after the OK button was pressed shortcutChanged(QKeySequence)

Base Classes |
--- | ---
ShortcutForm

Methods |
--- | ---
__init__ handleClear handleOk keyPressEvent setKey
| __init__

    __init__ (
            self,
            parent=None,
            name=None,
            modal=0,
            fl=0,
            )

Constructor

| handleClear

    handleClear ( self )

Private slot to handle the Clear button press.

| handleOk

    handleOk ( self )

Private slot to handle the OK button press.

| keyPressEvent

    keyPressEvent ( self,  evt )

### Private method to handle a key press event.

#### Arguments

evt
  the key event (QKeyEvent)

| setKey

    setKey ( self,  key )

### Public method to set the key to be configured.

#### Arguments

key
  key sequence to be changed (QKeySequence)

Table of Contents

This document was automatically generated by HappyDoc version 2.1